Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		AfterStep
Version: 	2.2.8
Release: 	1
License: 	GNU/GPL 
Group: 		Graphical Desktop/AfterStep
Summary: 	AfterStep is a windowmanager for X.
URL: 		http://www.afterstep.org/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot 
BuildRequires: 	bash	
BuildRequires:  perl
BuildRequires:  mesa-libGL-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel

%description 
AfterStep is a window manager for the Unix X Window System. Originally based on the look and feel of the NeXTStep interface, it has evolved into its own creature with interest expressed by GNUstep, to make AfterStep the window manager of choice for X.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep 
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
  		--enable-different-looknfeels \
  		--enable-i18n \
		--enable-savewindows \
		--enable-virtual \
		--enable-windowlist \
		--enable-availability \
		--enable-ascp \
		--enable-shaping \
		--enable-shmimage \
		--enable-xinerama \
		--enable-glx \
		--enable-staticlibs \
		--enable-sharedlibs \
		--enable-mmx-optimization \
		--disable-send-postcard-to-developer \
		--enable-data-reinstall \
		--enable-script
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 

#Integrate AfterStep into KDM 
install -d $RPM_BUILD_ROOT%_kdedir/share/config/kdm/sessions/
ln -s /usr/share/xsessions/AfterStep.desktop $RPM_BUILD_ROOT%_kdedir/share/config/kdm/sessions/AfterStep.desktop

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files 
%defattr(-,root,root)
%_bindir
%_datadir/afterstep
%_datadir/xsessions
%_mandir
%_libdir/*.so.*
%_kdedir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.so

%clean 
rm -rf $RPM_BUILD_ROOT 

%post 
ldconfig

%changelog 
* Fri Mar 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.8-1
- Version update
* Mon Aug 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.7-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.3-1
- initial release
